Bug 1410834 - latest tools(5.8) breaks installation of proxy 5.6 and 5.7
Summary: latest tools(5.8) breaks installation of proxy 5.6 and 5.7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer
Version: 580
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Kašpárek
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks: 1400201 1408229
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:24 UTC by Pavel Studeník
Modified: 2017-06-21 12:07 UTC (History)
3 users (show)

Fixed In Version: spacewalk-usix-2.7.1-2-sat spacewalk-backend-2.5.3-64-sat osad-5.11.63-9-sat rhn-virtualization-5.4.55-4-sat rhncfg-5.10.87-7-sat rhnpush-5.5.89-11-sat
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2017-01-06 15:24:01 UTC
Description of problem:
I tested rhn tools from 5.8 release and I can't install old versions of proxy - 5.6 and 5.7 due to conflicts between versions of spacewalk-backend. 

>> yum install spacewalk-proxy-installer
...
(1/8): rhncfg-5.10.87-6.el6sat.noarch.rpm
(2/8): rhncfg-actions-5.10.87-6.el6sat.noarch.rpm    
(3/8): rhncfg-client-5.10.87-6.el6sat.noarch.rpm     
(4/8): rhncfg-management-5.10.87-6.el6sat.noarch.rpm 
(5/8): spacewalk-backend-libs-1.2.13-52.el6sat.noarch.rpm       
(6/8): spacewalk-backend-usix-2.5.3-47.el6sat.noarch.rpm  
(7/8): spacewalk-certs-tools-2.5.0-2.el6sat.noarch.rpm 
(8/8): spacewalk-proxy-installer-2.5.0-4.el6sat.noarch.rpm   
...
  file /usr/lib/python2.6/site-packages/spacewalk/__init__.py conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch
  file /usr/lib/python2.6/site-packages/spacewalk/__init__.pyc conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch
  file /usr/lib/python2.6/site-packages/spacewalk/__init__.pyo conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch
  file /usr/lib/python2.6/site-packages/spacewalk/common/__init__.py conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch
  file /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyc conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch
  file /usr/lib/python2.6/site-packages/spacewalk/common/__init__.pyo conflicts between attempted installs of spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch

Version-Release number of selected component (if applicable):
5.8 RHN Tools 

How reproducible:
always

Steps to Reproduce:
1. register system to satellite and subscribe newest tools channel
2. try to install satellite 5.6 or 5.7

Actual results:
conflict between spacewalk-backend-usix-2.5.3-47.el6sat.noarch and spacewalk-backend-libs-1.2.13-52.el6sat.noarch

Expected results:
installable

Comment 4 Tomáš Kašpárek 2017-02-16 10:03:11 UTC
Contents of spacewalk-backend-usix were moved into a separate package:
64f729dc04ded38ec9db8511531b4578f0e9753f Satellite
d4019a3e308715226ba0175c502f0255a8ce15af Satellite
def73e5354481e8a34868dacf891aea5f892cffd Satellite
4d65ecff795f5aef6234efbd5b76ecebc7445912 Satellite
c99a44ced6a20477f226e738b31c93ff2ae16b06 Satellite
e613448c18e11c41f6e49240743bf1b915ddf0a6 Satellite
cfc5bdee35c4b9bba739482cd898ec0515c1720b Satellite
70b4c37d60ece43d4f8de847dac1d0152d2f154b Satellite
09d5ba8e218eba944193309eda23a7734ab9e118 Satellite
87c80295585502fd5ed31f4338c3769005115c70 Satellite

Comment 6 Radovan Drazny 2017-05-12 14:25:30 UTC
Verified on RHN-Tools-5.8-RHEL-6-20170511.n.0 compose, used as the delta channel for standard RHEL 6 rhn-tools channel.

# yum install spacewalk-proxy-installer
Loaded plugins: product-id, rhnplugin, search-disabled-repos, security, subscription-manager
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
rhel-x86_64-server-6                                                                                                                                                                         | 1.5 kB     00:00
rhel-x86_64-server-6/primary                                                                                                                                                                 |  27 MB     00:01
rhel-x86_64-server-6                                                                                                                                                                                    19498/19498
rhn-tools-rhel-x86_64-server-6                                                                                                                                                               | 1.5 kB     00:00
rhn-tools-rhel-x86_64-server-6/primary                                                                                                                                                       |  28 kB     00:00
rhn-tools-rhel-x86_64-server-6                                                                                                                                                                              196/196
rhntools                                                                                                                                                                                     | 3.8 kB     00:00
rhntools/primary_db                                                                                                                                                                          |  11 kB     00:00
Resolving Dependencies
--> Running transaction check
---> Package spacewalk-proxy-installer.noarch 0:2.5.0-9.el6sat will be installed
--> Processing Dependency: spacewalk-certs-tools >= 1.6.4 for package: spacewalk-proxy-installer-2.5.0-9.el6sat.noarch
--> Processing Dependency: rhncfg for package: spacewalk-proxy-installer-2.5.0-9.el6sat.noarch
--> Processing Dependency: rhncfg-actions for package: spacewalk-proxy-installer-2.5.0-9.el6sat.noarch
--> Processing Dependency: rhncfg-client for package: spacewalk-proxy-installer-2.5.0-9.el6sat.noarch
--> Processing Dependency: rhncfg-management for package: spacewalk-proxy-installer-2.5.0-9.el6sat.noarch
--> Running transaction check
---> Package rhncfg.noarch 0:5.10.87-10.el6sat will be installed
--> Processing Dependency: libselinux-python for package: rhncfg-5.10.87-10.el6sat.noarch
--> Processing Dependency: spacewalk-usix for package: rhncfg-5.10.87-10.el6sat.noarch
---> Package rhncfg-actions.noarch 0:5.10.87-10.el6sat will be installed
---> Package rhncfg-client.noarch 0:5.10.87-10.el6sat will be installed
---> Package rhncfg-management.noarch 0:5.10.87-10.el6sat will be installed
---> Package spacewalk-certs-tools.noarch 0:2.5.0-2.el6sat will be installed
--> Processing Dependency: spacewalk-backend-libs >= 0.8.28 for package: spacewalk-certs-tools-2.5.0-2.el6sat.noarch
--> Running transaction check
---> Package libselinux-python.x86_64 0:2.0.94-7.el6 will be installed
---> Package spacewalk-backend-libs.noarch 0:1.2.13-52.el6sat will be installed
---> Package spacewalk-usix.noarch 0:2.7.1-3.el6sat will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================================================================================================
 Package                                                 Arch                                 Version                                            Repository                                                    Size
====================================================================================================================================================================================================================
Installing:
 spacewalk-proxy-installer                               noarch                               2.5.0-9.el6sat                                     rhntools                                                      49 k
Installing for dependencies:
 libselinux-python                                       x86_64                               2.0.94-7.el6                                       rhel-x86_64-server-6                                         203 k
 rhncfg                                                  noarch                               5.10.87-10.el6sat                                  rhntools                                                      73 k
 rhncfg-actions                                          noarch                               5.10.87-10.el6sat                                  rhntools                                                      46 k
 rhncfg-client                                           noarch                               5.10.87-10.el6sat                                  rhntools                                                      43 k
 rhncfg-management                                       noarch                               5.10.87-10.el6sat                                  rhntools                                                      52 k
 spacewalk-backend-libs                                  noarch                               1.2.13-52.el6sat                                   rhn-tools-rhel-x86_64-server-6                               109 k
 spacewalk-certs-tools                                   noarch                               2.5.0-2.el6sat                                     rhntools                                                      90 k
 spacewalk-usix                                          noarch                               2.7.1-3.el6sat                                     rhntools                                                     5.9 k

Transaction Summary
====================================================================================================================================================================================================================
Install       9 Package(s)

Total download size: 672 k
Installed size: 1.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/9): libselinux-python-2.0.94-7.el6.x86_64.rpm                                                                                                                                             | 203 kB     00:00
(2/9): rhncfg-5.10.87-10.el6sat.noarch.rpm                                                                                                                                                   |  73 kB     00:00
(3/9): rhncfg-actions-5.10.87-10.el6sat.noarch.rpm                                                                                                                                           |  46 kB     00:00
(4/9): rhncfg-client-5.10.87-10.el6sat.noarch.rpm                                                                                                                                            |  43 kB     00:00
(5/9): rhncfg-management-5.10.87-10.el6sat.noarch.rpm                                                                                                                                        |  52 kB     00:00
(6/9): spacewalk-backend-libs-1.2.13-52.el6sat.noarch.rpm                                                                                                                                    | 109 kB     00:00
(7/9): spacewalk-certs-tools-2.5.0-2.el6sat.noarch.rpm                                                                                                                                       |  90 kB     00:00
(8/9): spacewalk-proxy-installer-2.5.0-9.el6sat.noarch.rpm                                                                                                                                   |  49 kB     00:00
(9/9): spacewalk-usix-2.7.1-3.el6sat.noarch.rpm                                                                                                                                              | 5.9 kB     00:00
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                               1.5 MB/s | 672 kB     00:00
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Importing GPG key 0xFD431D51:
 Userid : Red Hat, Inc. (release key 2) <security@redhat.com>
 Package: redhat-release-server-6Server-6.9.0.4.el6.x86_64 (@anaconda-RedHatEnterpriseLinux-201704201457.x86_64/6.9)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Is this ok [y/N]: y
Importing GPG key 0x2FA658E0:
 Userid : Red Hat, Inc. (auxiliary key) <security@redhat.com>
 Package: redhat-release-server-6Server-6.9.0.4.el6.x86_64 (@anaconda-RedHatEnterpriseLinux-201704201457.x86_64/6.9)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : spacewalk-backend-libs-1.2.13-52.el6sat.noarch                                                                                                                                                                           1/9
  Installing : spacewalk-usix-2.7.1-3.el6sat.noarch                                                                                                                                                                                     2/9
  Installing : spacewalk-certs-tools-2.5.0-2.el6sat.noarch                                                                                                                                                                              3/9
  Installing : libselinux-python-2.0.94-7.el6.x86_64                                                                                                                                                                                    4/9
  Installing : rhncfg-5.10.87-10.el6sat.noarch                                                                                                                                                                                          5/9
  Installing : rhncfg-client-5.10.87-10.el6sat.noarch                                                                                                                                                                                   6/9
  Installing : rhncfg-actions-5.10.87-10.el6sat.noarch                                                                                                                                                                                  7/9
  Installing : rhncfg-management-5.10.87-10.el6sat.noarch                                                                                                                                                                               8/9
  Installing : spacewalk-proxy-installer-2.5.0-9.el6sat.noarch                                                                                                                                                                          9/9
  Verifying  : libselinux-python-2.0.94-7.el6.x86_64                                                                                                                                                                                    1/9
  Verifying  : rhncfg-client-5.10.87-10.el6sat.noarch                                                                                                                                                                                   2/9
  Verifying  : spacewalk-backend-libs-1.2.13-52.el6sat.noarch                                                                                                                                                                           3/9
  Verifying  : rhncfg-5.10.87-10.el6sat.noarch                                                                                                                                                                                          4/9
  Verifying  : rhncfg-management-5.10.87-10.el6sat.noarch                                                                                                                                                                               5/9
  Verifying  : spacewalk-proxy-installer-2.5.0-9.el6sat.noarch                                                                                                                                                                          6/9
  Verifying  : rhncfg-actions-5.10.87-10.el6sat.noarch                                                                                                                                                                                  7/9
  Verifying  : spacewalk-usix-2.7.1-3.el6sat.noarch                                                                                                                                                                                     8/9
  Verifying  : spacewalk-certs-tools-2.5.0-2.el6sat.noarch                                                                                                                                                                              9/9

Installed:
  spacewalk-proxy-installer.noarch 0:2.5.0-9.el6sat

Dependency Installed:
  libselinux-python.x86_64 0:2.0.94-7.el6            rhncfg.noarch 0:5.10.87-10.el6sat               rhncfg-actions.noarch 0:5.10.87-10.el6sat   rhncfg-client.noarch 0:5.10.87-10.el6sat   rhncfg-management.noarch 0:5.10.87-10.el6sat
  spacewalk-backend-libs.noarch 0:1.2.13-52.el6sat   spacewalk-certs-tools.noarch 0:2.5.0-2.el6sat   spacewalk-usix.noarch 0:2.7.1-3.el6sat

Complete![


Spacewalk-proxy-installer was successfully installed.
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.